package com.tanpu.feo.feojob.config;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.time.DayOfWeek;
import java.time.LocalDate;
import java.time.format.TextStyle;
import java.util.List;
import java.util.Locale;

@Slf4j
@Data
@Configuration
@ConfigurationProperties(prefix = "morning-paper")
public class MorningPaperProperties {
    private List<String> mainTitles;
    private String subTitle;

    public String getTodayMailTitle() {
        DayOfWeek dayOfWeek = LocalDate.now().getDayOfWeek();
        String displayName = dayOfWeek.getDisplayName(TextStyle.SHORT, Locale.CHINA);
        int value = dayOfWeek.getValue();
        log.info("displayName: {}, value: {}", displayName, value);
        if (value <= mainTitles.size()) {
            return mainTitles.get(value - 1);
        }
        return mainTitles.get(0);
    }
}
